Package org.gradle.jvm

## Interface JvmApiSpec

-     @Incubating
      @Deprecated
      public interface JvmApiSpec

  Deprecated.
  Specifies the packages that constitute the API of a library. Facilitates separation of API and implementation binaries for that library. Backing object for the `api {}` DSL.
  Since:
    2.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dependencies​(Closure<?> configureAction)` | Deprecated. Specify the dependencies of this API.
    `void` | `exports​(String packageName)` | Deprecated. Specify a package to be exported as part of the library API.
    `DependencySpecContainer` | `getDependencies()` | Deprecated. The dependencies of this API.
    `Set<String>` | `getExports()` | Deprecated. The set of packages that comprise this library's public API.

- - ### Method Detail

    - #### exports

          void exports​(String packageName)

      Deprecated.
      Specify a package to be exported as part of the library API.
      Parameters:
        `packageName` - the name of the package to be exported, e.g. "com.example.p1"
      Throws:
        `InvalidUserDataException` - if the package name is not valid or has already been exported

    - #### getExports

          Set<String> getExports()

      Deprecated.
      The set of packages that comprise this library's public API.

    - #### dependencies

          void dependencies​(Closure<?> configureAction)

      Deprecated.
      Specify the dependencies of this API.

    - #### getDependencies

          DependencySpecContainer getDependencies()

      Deprecated.
      The dependencies of this API.